package jrummikub.control.network;

import java.util.UUID;

import jrummikub.model.GameSettings;
import jrummikub.util.GameData;
import jrummikub.view.ISettingsPanel.SettingsMode;
import jrummikub.view.IView;

public class GameOfferControl {
	private GameData gameData;
	private ConnectionControl connectionControl;
	private GameSettings settings;
	private IView view;

	public GameOfferControl(ConnectionControl connectionControl,
			GameSettings settings, IView view) {
		this.connectionControl = connectionControl;
		this.settings = settings;
		this.view = view;

		gameData = new GameData(UUID.randomUUID(), settings);

		view.getSettingsPanel().setSettingsMode(SettingsMode.NETWORK_OFFER);
		view.getSettingsPanel().enableAddPlayerButton(false);
		view.getSettingsPanel().setGameSettings(settings);
	}

	public void startGameOffer() {
		connectionControl.offerGame(gameData);

		view.showSettingsPanel(true);

	}

	public void abort() {
		connectionControl.withdrawGame(gameData.getGameID());
	}
}
